aboutsummaryrefslogtreecommitdiffstats
path: root/cron
diff options
context:
space:
mode:
authorJoe <bousset.rudy@gmail.com>2022-05-06 14:51:55 +0200
committerJoe <bousset.rudy@gmail.com>2022-05-06 14:51:55 +0200
commit361b43dd712750acb2494f848a8102a442ff1f75 (patch)
tree6af6d38b576be1d8fbefb90c61a561f2bbf044fe /cron
parentremoved_shit (diff)
downloadjoe-scripts-361b43dd712750acb2494f848a8102a442ff1f75.tar.gz
joe-scripts-361b43dd712750acb2494f848a8102a442ff1f75.tar.bz2
joe-scripts-361b43dd712750acb2494f848a8102a442ff1f75.tar.xz
joe-scripts-361b43dd712750acb2494f848a8102a442ff1f75.tar.zst
joe-scripts-361b43dd712750acb2494f848a8102a442ff1f75.zip
update
Diffstat (limited to 'cron')
-rwxr-xr-xcron/counter.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/cron/counter.sh b/cron/counter.sh
new file mode 100755
index 0000000..b75dd12
--- /dev/null
+++ b/cron/counter.sh
@@ -0,0 +1,10 @@
+#!/bin/sh -e
+
+logfile='/var/log/nginx/access.log'
+destfile='/usr/local/www/jozan/index.html'
+foretext='Unique visitors: '
+botlist='petalbot|googlebot|adsbot-google|ahrefs\.com|pingbot|robots\.txt|pandalytics|serpstatbot|zoombot|semrush.com\/bot|archive\.org_bot|bingbot|vuhuvbot|neevabot|botaflatoon|botfnetowrksx|zaldamosearchbot|facebookexternalhit|mj12bot|polaris botnet|turnitinbot'
+
+[ -e $logfile ] || exit 1
+[ -e $destfile ] || exit 1
+sed -i '' "s/$foretext.*$/$foretext<b>$(grep -E -v -i "$botlist" $logfile | awk '{print $1}' | sort | uniq | wc -l | tr -d ' ')<\/b>/" $destfile